Package fr.gouv.vitam.logbook.lifecycles.client

# Interface LogbookLifeCyclesClient

All Superinterfaces:
  `AutoCloseable`, `BasicClient`, `MockOrRestClient`, `VitamAutoCloseable`

public interface LogbookLifeCyclesClient extends BasicClient
Logbook client interface

- ## Field Summary

  ### Fields inherited from interface fr.gouv.vitam.common.client.BasicClient

  `STATUS_URL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bulkCreateObjectGroup(String objectIdentifier, Iterable<LogbookLifeCycleParameters> queue)`
  Bulk Create for ObjectGroup
  To be used ONLY once at top level of process startup (where objectIdentifier is set for the first time).
  `void`
  `bulkCreateUnit(String objectIdentifier, Iterable<LogbookLifeCycleParameters> queue)`
  Bulk Create for Unit
  To be used ONLY once at top level of process startup (where objectIdentifier is set for the first time).
  `void`
  `bulkLifeCycle(String operationId, DistributionType type, List<LogbookLifeCycleParametersBulk> logbookLifeCycleParametersBulk)`
  bulkLifeCycle
  `void`
  `bulkLifeCycleTemporary(String operationId, DistributionType type, List<LogbookLifeCycleParametersBulk> logbookLifeCycleParametersBulk)`
  bulkLifeCycleTemporary
  `void`
  `bulkObjectGroup(String eventIdProc, List<LogbookLifeCycleObjectGroupModel> logbookLifeCycleModels)`
  `void`
  `bulkUnit(String eventIdProc, List<LogbookLifeCycleUnitModel> logbookLifeCycleModels)`
  `void`
  `bulkUpdateObjectGroup(String objectIdentifier, Iterable<? extends LogbookLifeCycleParameters> queue)`
  Bulk Update for ObjectGroup
  To be used everywhere except very first time (when objectIdentifier already used once)
  `void`
  `bulkUpdateUnit(String objectIdentifier, Iterable<? extends LogbookLifeCycleParameters> queue)`
  Bulk Update for Unit
  To be used everywhere except very first time (when objectIdentifier already used once)
  `void`
  `commit(LogbookLifeCycleParameters parameters)`
  Commit logbook entry
  To be used everywhere except very first time (when eventIdentifierProcess already used once)
  `void`
  `commitObjectGroup(String operationId, String objectGroupId)`
  Commit objectGroup lifeCycle
  To be used everywhere except very first time (when eventIdentifierProcess already used once)
  `void`
  `commitUnit(String operationId, String unitId)`
  Commit unit lifeCycle
  To be used everywhere except very first time (when eventIdentifierProcess already used once)
  `void`
  `create(LogbookLifeCycleParameters parameters)`
  Create logbook entry
  To be used ONLY once at top level of process startup (where eventIdentifierProcess is set for the first time).
  `void`
  `createRawbulkObjectgrouplifecycles(List<com.fasterxml.jackson.databind.JsonNode> logbookLifeCycleRaws)`
  Create lifecycle objectgroup
  `void`
  `createRawbulkUnitlifecycles(List<com.fasterxml.jackson.databind.JsonNode> logbookLifeCycleRaws)`
  Create lifecycle unit
  `void`
  `deleteLifecycleObjectGroupBulk(Collection<String> listIds)`
  deleteLifecycleObjectGroupBulk
  `void`
  `deleteLifecycleUnitsBulk(Collection<String> listIds)`
  deleteLifecycleUnitsBulk
  `InputStream`
  `exportRawObjectGroupLifecyclesByLastPersistedDate(LocalDateTime startDate, LocalDateTime endDate, int maxEntries)`
  Exports raw object group lifecycles by last persisted date range Warning: If maxEntries limit reached, lifecycles with exact same last persisted date will also be exported.
  `InputStream`
  `exportRawUnitLifecyclesByLastPersistedDate(LocalDateTime startDate, LocalDateTime endDate, int maxEntries)`
  Exports raw unit lifecycles by last persisted date range.
  `LogbookOperation`
  `findLastLifecycleTraceabilityOperation(String eventType)`
  `LifeCycleStatusCode`
  `getObjectGroupLifeCycleStatus(String objectGroupId)`
  Gets the object group lifeCycle status (COMMITTED or IN_PROCESS)
  `com.fasterxml.jackson.databind.JsonNode`
  `getRawObjectGroupLifeCycleById(String id)`
  returns the raw object group life cycle
  `List<com.fasterxml.jackson.databind.JsonNode>`
  `getRawObjectGroupLifeCycleByIds(List<String> ids)`
  returns the raw object group life cycle
  `com.fasterxml.jackson.databind.JsonNode`
  `getRawUnitLifeCycleById(String id)`
  returns the raw unit life cycle
  `List<com.fasterxml.jackson.databind.JsonNode>`
  `getRawUnitLifeCycleByIds(List<String> ids)`
  returns the raw unit life cycles
  `LifeCycleStatusCode`
  `getUnitLifeCycleStatus(String unitId)`
  Gets the unit lifeCycle status (COMMITTED or IN_PROCESS)
  `CloseableIterator<com.fasterxml.jackson.databind.JsonNode>`
  `objectGroupLifeCyclesByOperationIterator(String operationId, LifeCycleStatusCode lifeCycleStatus, com.fasterxml.jackson.databind.JsonNode query)`
  `void`
  `rollback(LogbookLifeCycleParameters parameters)`
  Rollback logbook entry
  To be used everywhere except very first time (when eventIdentifierProcess already used once)
  `void`
  `rollBackObjectGroupsByOperation(String operationId)`
  Remove created object group lifeCycles during the given operation
  `void`
  `rollBackUnitsByOperation(String operationId)`
  Remove created unit lifeCycles during the given operation
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroupLifeCycle(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  returns the object group life cycles
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroupLifeCycle(com.fasterxml.jackson.databind.JsonNode queryDsl, LifeCycleStatusCode lifeCycleStatus)`
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroupLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  returns the object group life cycle
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroupLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl, LifeCycleStatusCode lifeCycleStatus)`
  returns the object group life cycle
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitLifeCycle(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  returns the unit life cycle
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  returns the unit life cycle
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl, LifeCycleStatusCode lifeCycleStatus)`
  returns the unit life cycle in progress
  `CloseableIterator<com.fasterxml.jackson.databind.JsonNode>`
  `unitLifeCyclesByOperationIterator(String operationId, LifeCycleStatusCode lifeCycleStatus, com.fasterxml.jackson.databind.JsonNode query)`
  `void`
  `update(LogbookLifeCycleParameters parameters)`
  Update logbook entry
  To be used everywhere except very first time (when eventIdentifierProcess already used once)
  `void`
  `update(LogbookLifeCycleParameters parameters, LifeCycleStatusCode lifeCycleStatusCode)`
  Update logbook entry
  To be used everywhere except very first time (when eventIdentifierProcess already used once)

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### create

    void create(LogbookLifeCycleParameters parameters) throws LogbookClientBadRequestException, LogbookClientAlreadyExistsException, LogbookClientServerException
    Create logbook entry
    To be used ONLY once at top level of process startup (where eventIdentifierProcess is set for the first time).
    Parameters:
      `parameters` - the entry parameters
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientAlreadyExistsException` - if the element already exists
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null
      `LogbookClientException` - if client received an error from server

  - ### update

    void update(LogbookLifeCycleParameters parameters) throws LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Update logbook entry
    To be used everywhere except very first time (when eventIdentifierProcess already used once)
    Parameters:
      `parameters` - the entry parameters
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### update

    void update(LogbookLifeCycleParameters parameters, LifeCycleStatusCode lifeCycleStatusCode) throws LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Update logbook entry
    To be used everywhere except very first time (when eventIdentifierProcess already used once)
    Parameters:
      `parameters` - the entry parameters
      `lifeCycleStatusCode` - the lifeCycle status
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### commit

    void commit(LogbookLifeCycleParameters parameters) throws LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Commit logbook entry
    To be used everywhere except very first time (when eventIdentifierProcess already used once)
    Parameters:
      `parameters` - the entry parameters
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### rollback

    void rollback(LogbookLifeCycleParameters parameters) throws LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Rollback logbook entry
    To be used everywhere except very first time (when eventIdentifierProcess already used once)
    Parameters:
      `parameters` - the entry parameters
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### selectUnitLifeCycleById

    com.fasterxml.jackson.databind.JsonNode selectUnitLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws LogbookClientException, InvalidParseOperationException
    returns the unit life cycle
    Parameters:
      `id` - unit life cycle id
      `queryDsl` - dsl query to be executed
    Returns:
      the unit life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### selectUnitLifeCycleById

    com.fasterxml.jackson.databind.JsonNode selectUnitLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl, LifeCycleStatusCode lifeCycleStatus) throws LogbookClientException, InvalidParseOperationException
    returns the unit life cycle in progress
    Parameters:
      `id` - unit life cycle id
      `queryDsl` - dsl query to be executed
      `lifeCycleStatus` - the lifecycle status
    Returns:
      the unit life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### selectUnitLifeCycle

    com.fasterxml.jackson.databind.JsonNode selectUnitLifeCycle(com.fasterxml.jackson.databind.JsonNode queryDsl) throws LogbookClientException, InvalidParseOperationException
    returns the unit life cycle
    Parameters:
      `queryDsl` - dsl query containing the id
    Returns:
      the unit life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### exportRawUnitLifecyclesByLastPersistedDate

    InputStream exportRawUnitLifecyclesByLastPersistedDate(LocalDateTime startDate, LocalDateTime endDate, int maxEntries) throws LogbookClientException, InvalidParseOperationException, IOException
    Exports raw unit lifecycles by last persisted date range. Warning: If maxEntries limit reached, lifecycles with exact same last persisted date will also be exported. i.e. Max entries is a "soft limit" that can be exceeded if needed. e.g. Setting a 100_000 max limit, can yield 100_045 entries if last 46 lifecycles have the exact same last persistence date.
    Parameters:
      `startDate` - the selection start date
      `endDate` - the selection end date
      `maxEntries` - max entries to export (soft limit)
    Returns:
      json line stream of raw life cycles
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `IOException`

  - ### exportRawObjectGroupLifecyclesByLastPersistedDate

    InputStream exportRawObjectGroupLifecyclesByLastPersistedDate(LocalDateTime startDate, LocalDateTime endDate, int maxEntries) throws LogbookClientException, InvalidParseOperationException, IOException
    Exports raw object group lifecycles by last persisted date range Warning: If maxEntries limit reached, lifecycles with exact same last persisted date will also be exported. i.e. Max entries is a "soft limit" that can be exceeded if needed. e.g. Setting a 100_000 max limit, can yield a 100_045 entries if last 46 lifecycles have the exact same last persistence date.
    Parameters:
      `startDate` - the selection start date
      `endDate` - the selection end date
      `maxEntries` - max entries to export (soft limit)
    Returns:
      json line stream of raw life cycles
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `IOException`

  - ### selectObjectGroupLifeCycleById

    com.fasterxml.jackson.databind.JsonNode selectObjectGroupLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws LogbookClientException, InvalidParseOperationException
    returns the object group life cycle
    Parameters:
      `id` - the object group life cycle id
      `queryDsl` - dsl query to be executed
    Returns:
      the object group life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### selectObjectGroupLifeCycleById

    com.fasterxml.jackson.databind.JsonNode selectObjectGroupLifeCycleById(String id, com.fasterxml.jackson.databind.JsonNode queryDsl, LifeCycleStatusCode lifeCycleStatus) throws LogbookClientException, InvalidParseOperationException
    returns the object group life cycle
    Parameters:
      `id` - the object group life cycle id
      `queryDsl` - dsl query to be executed
      `lifeCycleStatus` - the lifecycle status
    Returns:
      the object group life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### selectObjectGroupLifeCycle

    com.fasterxml.jackson.databind.JsonNode selectObjectGroupLifeCycle(com.fasterxml.jackson.databind.JsonNode queryDsl) throws LogbookClientException, InvalidParseOperationException
    returns the object group life cycles
    Parameters:
      `queryDsl` - dsl query to be executed
    Returns:
      the object group life cycles
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### selectObjectGroupLifeCycle

    com.fasterxml.jackson.databind.JsonNode selectObjectGroupLifeCycle(com.fasterxml.jackson.databind.JsonNode queryDsl, LifeCycleStatusCode lifeCycleStatus) throws LogbookClientException, InvalidParseOperationException
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### objectGroupLifeCyclesByOperationIterator

    CloseableIterator<com.fasterxml.jackson.databind.JsonNode> objectGroupLifeCyclesByOperationIterator(String operationId, LifeCycleStatusCode lifeCycleStatus, com.fasterxml.jackson.databind.JsonNode query) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### unitLifeCyclesByOperationIterator

    CloseableIterator<com.fasterxml.jackson.databind.JsonNode> unitLifeCyclesByOperationIterator(String operationId, LifeCycleStatusCode lifeCycleStatus, com.fasterxml.jackson.databind.JsonNode query) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### bulkCreateUnit

    void bulkCreateUnit(String objectIdentifier, Iterable<LogbookLifeCycleParameters> queue) throws LogbookClientBadRequestException, LogbookClientAlreadyExistsException, LogbookClientServerException
    Bulk Create for Unit
    To be used ONLY once at top level of process startup (where objectIdentifier is set for the first time).
    Parameters:
      `objectIdentifier` - object Identifier
      `queue` - queue of LogbookLifeCycleParameters to create
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientAlreadyExistsException` - if the element already exists
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### bulkUpdateUnit

    void bulkUpdateUnit(String objectIdentifier, Iterable<? extends LogbookLifeCycleParameters> queue) throws LogbookClientNotFoundException, LogbookClientBadRequestException, LogbookClientServerException
    Bulk Update for Unit
    To be used everywhere except very first time (when objectIdentifier already used once)
    Parameters:
      `objectIdentifier` - object Identifier
      `queue` - queue of LogbookLifeCycleParameters to update
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### bulkCreateObjectGroup

    void bulkCreateObjectGroup(String objectIdentifier, Iterable<LogbookLifeCycleParameters> queue) throws LogbookClientBadRequestException, LogbookClientAlreadyExistsException, LogbookClientServerException
    Bulk Create for ObjectGroup
    To be used ONLY once at top level of process startup (where objectIdentifier is set for the first time).
    Parameters:
      `objectIdentifier` - object Identifier
      `queue` - queue of LogbookLifeCycleParameters to create
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientAlreadyExistsException` - if the element already exists
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### bulkUpdateObjectGroup

    void bulkUpdateObjectGroup(String objectIdentifier, Iterable<? extends LogbookLifeCycleParameters> queue) throws LogbookClientNotFoundException, LogbookClientBadRequestException, LogbookClientServerException
    Bulk Update for ObjectGroup
    To be used everywhere except very first time (when objectIdentifier already used once)
    Parameters:
      `objectIdentifier` - object Identifier
      `queue` - queue of LogbookLifeCycleParameters to update
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### commitUnit

    void commitUnit(String operationId, String unitId) throws LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Commit unit lifeCycle
    To be used everywhere except very first time (when eventIdentifierProcess already used once)
    Parameters:
      `operationId` - the operation id
      `unitId` - the unit id
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### commitObjectGroup

    void commitObjectGroup(String operationId, String objectGroupId) throws LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Commit objectGroup lifeCycle
    To be used everywhere except very first time (when eventIdentifierProcess already used once)
    Parameters:
      `operationId` - the operation id
      `objectGroupId` - the object group id
    Throws:
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the Server got an internal error
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### rollBackUnitsByOperation

    void rollBackUnitsByOperation(String operationId) throws LogbookClientNotFoundException, LogbookClientBadRequestException, LogbookClientServerException
    Remove created unit lifeCycles during the given operation
    Parameters:
      `operationId` - the operation id
    Throws:
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientServerException` - if the server got an internal error

  - ### rollBackObjectGroupsByOperation

    void rollBackObjectGroupsByOperation(String operationId) throws LogbookClientNotFoundException, LogbookClientBadRequestException, LogbookClientServerException
    Remove created object group lifeCycles during the given operation
    Parameters:
      `operationId` - the operation id
    Throws:
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientBadRequestException` - if the argument is incorrect
      `LogbookClientServerException` - if the server got an internal error

  - ### getUnitLifeCycleStatus

    LifeCycleStatusCode getUnitLifeCycleStatus(String unitId) throws LogbookClientNotFoundException, LogbookClientServerException
    Gets the unit lifeCycle status (COMMITTED or IN_PROCESS)
    Parameters:
      `unitId` - the unit id
    Returns:
      the unit lifeCycle status (COMMITTED or IN_PROCESS)
    Throws:
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the server got an internal error

  - ### getObjectGroupLifeCycleStatus

    LifeCycleStatusCode getObjectGroupLifeCycleStatus(String objectGroupId) throws LogbookClientNotFoundException, LogbookClientServerException
    Gets the object group lifeCycle status (COMMITTED or IN_PROCESS)
    Parameters:
      `objectGroupId` - the object group id
    Returns:
      the object group lifeCycle status (COMMITTED or IN_PROCESS)
    Throws:
      `LogbookClientNotFoundException` - if the element was not created before
      `LogbookClientServerException` - if the server got an internal error

  - ### bulkObjectGroup

    void bulkObjectGroup(String eventIdProc, List<LogbookLifeCycleObjectGroupModel> logbookLifeCycleModels) throws LogbookClientAlreadyExistsException, LogbookClientBadRequestException, LogbookClientServerException
    Throws:
      `LogbookClientAlreadyExistsException`
      `LogbookClientBadRequestException`
      `LogbookClientServerException`

  - ### bulkUnit

    void bulkUnit(String eventIdProc, List<LogbookLifeCycleUnitModel> logbookLifeCycleModels) throws LogbookClientAlreadyExistsException, LogbookClientBadRequestException, LogbookClientServerException
    Throws:
      `LogbookClientAlreadyExistsException`
      `LogbookClientBadRequestException`
      `LogbookClientServerException`

  - ### getRawUnitLifeCycleById

    com.fasterxml.jackson.databind.JsonNode getRawUnitLifeCycleById(String id) throws LogbookClientException, InvalidParseOperationException
    returns the raw unit life cycle
    Parameters:
      `id` - the id to retrieve
    Returns:
      the unit life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### getRawUnitLifeCycleByIds

    List<com.fasterxml.jackson.databind.JsonNode> getRawUnitLifeCycleByIds(List<String> ids) throws LogbookClientException
    returns the raw unit life cycles
    Parameters:
      `ids` - the id to retrieve
    Returns:
      the unit life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### getRawObjectGroupLifeCycleById

    com.fasterxml.jackson.databind.JsonNode getRawObjectGroupLifeCycleById(String id) throws LogbookClientException, InvalidParseOperationException
    returns the raw object group life cycle
    Parameters:
      `id` - the id to retrieve
    Returns:
      the object group life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### getRawObjectGroupLifeCycleByIds

    List<com.fasterxml.jackson.databind.JsonNode> getRawObjectGroupLifeCycleByIds(List<String> ids) throws LogbookClientException
    returns the raw object group life cycle
    Parameters:
      `ids` - the id to retrieve
    Returns:
      the object group life cycle
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### createRawbulkObjectgrouplifecycles

    void createRawbulkObjectgrouplifecycles(List<com.fasterxml.jackson.databind.JsonNode> logbookLifeCycleRaws) throws LogbookClientBadRequestException, LogbookClientServerException
    Create lifecycle objectgroup
    Parameters:
      `logbookLifeCycleRaws` - list of lifecycle objectgroup as jsons
    Throws:
      `LogbookClientBadRequestException` - LogbookClientBadRequestException
      `LogbookClientServerException` - LogbookClientServerException

  - ### createRawbulkUnitlifecycles

    void createRawbulkUnitlifecycles(List<com.fasterxml.jackson.databind.JsonNode> logbookLifeCycleRaws) throws LogbookClientBadRequestException, LogbookClientServerException
    Create lifecycle unit
    Parameters:
      `logbookLifeCycleRaws` - list of lifecycle unit as jsons
    Throws:
      `LogbookClientBadRequestException` - LogbookClientBadRequestException
      `LogbookClientServerException` - LogbookClientServerException

  - ### deleteLifecycleUnitsBulk

    void deleteLifecycleUnitsBulk(Collection<String> listIds) throws LogbookClientBadRequestException, LogbookClientServerException
    deleteLifecycleUnitsBulk
    Parameters:
      `listIds` - unit lfc ids
    Throws:
      `LogbookClientBadRequestException` - LogbookClientBadRequestException
      `LogbookClientServerException` - LogbookClientServerException

  - ### deleteLifecycleObjectGroupBulk

    void deleteLifecycleObjectGroupBulk(Collection<String> listIds) throws LogbookClientBadRequestException, LogbookClientServerException
    deleteLifecycleObjectGroupBulk
    Parameters:
      `listIds` - object group lfc ids
    Throws:
      `LogbookClientBadRequestException` - LogbookClientBadRequestException
      `LogbookClientServerException` - LogbookClientServerException

  - ### bulkLifeCycleTemporary

    void bulkLifeCycleTemporary(String operationId, DistributionType type, List<LogbookLifeCycleParametersBulk> logbookLifeCycleParametersBulk) throws VitamClientInternalException
    bulkLifeCycleTemporary
    Parameters:
      `operationId` - operationId
      `type` - type
      `logbookLifeCycleParametersBulk` - logbookLifeCycleParametersBulk
    Throws:
      `VitamClientInternalException` - VitamClientInternalException

  - ### bulkLifeCycle

    void bulkLifeCycle(String operationId, DistributionType type, List<LogbookLifeCycleParametersBulk> logbookLifeCycleParametersBulk) throws VitamClientInternalException
    bulkLifeCycle
    Parameters:
      `operationId` - operationId
      `type` - type
      `logbookLifeCycleParametersBulk` - logbookLifeCycleParametersBulk
    Throws:
      `VitamClientInternalException` - VitamClientInternalException

  - ### findLastLifecycleTraceabilityOperation

    LogbookOperation findLastLifecycleTraceabilityOperation(String eventType) throws LogbookClientException
    Throws:
      `LogbookClientException`